HP Views Designer Assistant: SettingsController Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Member Functions | List of all members
SettingsController Class Reference

The SettingsController class. More...

`#include <settingscontroller.h>`

Inheritance diagram for SettingsController:

## Public Member Functions

| SettingsController (Settings *view)
| SettingsController constructor. More...
void | saveDefaultDir ()
| saveDefaultDir Saves the default folder.
void | saveAlwaysAsk ()
| saveAlwaysAsk Saves the always ask value.
void | clearValues ()
| clearValues Clears the setttings values.
void | changeLanguage (QString language)
| changeLanguage Changes the app language. More...
Public Member Functions inherited from Controller
| Controller ()
| Controller constructor.
void | on_homeBtn_clicked (bool ask=true)
| on_homeBtn_clicked. More...
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked.
void | on_helpBtn_clicked (QString path, QPoint position)
| on_helpBtn_clicked. More...

## Private Member Functions

void | loadSettings ()
| loadSettings Loads the settings values.
QString | getSettingsLanguage ()
| getSettingsLanguage Gets the app language. More...
void | setLanguage (QString language)
| setLanguage Specifies the app language. More...

## Additional Inherited Members

Protected Member Functions inherited from Controller
bool | confirmExit ()
| confirmExit ask the user for exit confirmation. More...
void | showPreview (QString path)
| showPreview show graphic preview of QML file. More...
QString | getLongSavePath ()
| getLongSavePath ask the user the location to save the file. More...
void | switchToOptionsView ()
| switchToOptionsView change the current view to the secondary view.
Protected Attributes inherited from Controller
View * | generalView
| generalView primary view.
View * | optionsView
| optionsView secondary view.
Interfaz * | interfaz
| interfaz interface.

## Detailed Description

The SettingsController class.

## Constructor & Destructor Documentation

## ◆ SettingsController()

SettingsController::SettingsController | ( | Settings * | view | ) |

SettingsController constructor.

Parameters

  view | Settings controller view.

## Member Function Documentation

## ◆ changeLanguage()

void SettingsController::changeLanguage | ( | QString | language | ) |

changeLanguage Changes the app language.

Parameters

  language | Language to translate the app.

## ◆ getSettingsLanguage()

QString SettingsController::getSettingsLanguage | ( |  | ) |

private

getSettingsLanguage Gets the app language.

Returns
  App language

## ◆ setLanguage()

void SettingsController::setLanguage | ( | QString | language | ) |

private

setLanguage Specifies the app language.

Parameters

  language | App language.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Controller/settingscontroller.h
- D:/Documentos/ViewDesignerAssistant/Controller/settingscontroller.cpp